import request from '@/config/axios'

// 根据商品id获取抽奖活动
export const getPrizeByGoodsId = async (spuId) => {
  return await request.get({
		url: `/app-api/promotion/luck-lottery/get/by-spu-id`,
		params: { spuId }
	})
}

// 根据活动id获取奖品
export const getPrizeByLotteryId = async (lotteryId) => {
  return await request.get({
		url: `/app-api/promotion/luck-prize/get`,
		params: { lotteryId }
	})
}

// 根据活动id获取用户抽奖次数
export const getNumByLotteryId = async (lotteryId) => {
  return await request.get({
		url: `/app-api/promotion/luck-lottery/get/user-num`,
		params: { lotteryId }
	})
}

// 领取奖品
export const luckyLotteryRecordReceive = async (data) => {
  return await request.post({
		url: `/app-api/promotion/luck-lottery-record/receive`,
		data
	})
}

// 创建用户期望奖品记录
export const luckTargetCreate = async (data) => {
  return await request.post({
		url: 'app-api/promotion/luck-lottery/user-target/create',
		data
	})
}

// 根据商品id活动对应的奖品区域信息
export const getPrizeAreaByGoodsId = async (params) => {
  return await request.get({
		url: '/app-api/promotion/luck-prize/get/extend/area',
		params
	})
}

// 抽奖记录分页
export const getLuckLotteryRecordPage = async (params) => {
  return await request.get({
		url: '/app-api/promotion/luck-lottery-record/page',
		params
	})
}

// 根据订单id获取中奖记录
export const getLuckLotteryRecordByOrderId = async (orderId) => {
  return await request.get({
		url: '/app-api/promotion/luck-lottery-record/get/by-order-id',
		params: { orderId }
	})
}

// 根据订单id组获取中奖记录
export const getLuckLotteryRecordByOrderIds = async (orderIds) => {
  return await request.get({
		url: '/app-api/promotion/luck-lottery-record/get/by-order-ids',
		params: { orderIds }
	})
}